<?	// Preamble
	$pageName = "Documentation";
	$focused = "none";					// Dock icon name to gets a border
	$currPage = "docs";					// Name of the page, for the menu
	require("parts/preamble.php");		// Load most of document
?>

<?
	function doc_list ($title, $list, $type)
	{
?>
		<TABLE class="inside" width="100%">
<?
		tableTitle ($title, 1, featureHeadColor);
?>
		<TD class="inside">
			<UL><?
				reset ($list);
				while (list (, $cdl) = each ($list)) {
					if (is_file ('doc/' . $cdl . '-' . $type . '.txt')) {
						echo '<LI>';
						echo '<A href="' . $type . '.php?program='
							 . $cdl . '">' . $cdl . '</A>';
						echo '</LI>';
					}
				}
			?></UL>
		</TD>
<?
		tableBoxFooter ();
	}

	function program_doc_list ($title, $list, $notes)
	{
		tableBoxHeader (featureBgColor, featureHeadColor);
		tableTitle ($title, 2, featureHeadColor);
?>
		<TR>
			<TD colSpan="2">
			<?
				if (is_file ('doc/' . $notes . '-notes' . '.txt')) {
					$lines = file ('doc/' . $notes . '-notes' . '.txt');
					reset ($lines);
					while (list (, $line) = each ($lines)) {
						print $line;
					}
				} else {
					echo "<P>There are no errata for this release.";
				}
			?>
		</TR>
		<TR>
			<TD class="inside" align="left" vAlign="top" width="50%">
				<? doc_list ("Cvar Documentation", $list, "cvar"); ?>
			</TD>
			<TD class="inside" align="left" vAlign="top" width="50%">
				<? doc_list ("Command Documentation", $list, "cmd"); ?>
			</TD>
		</TR>
<?
		tableBoxFooter ();
	}
?>

<?
	$program_list = array (
		"nq-3dfx",
		"nq-ggi",
		"nq-glx",
		"nq-mgl",
		"nq-sdl",
		"nq-sdl32",
		"nq-sgl",
		"nq-svga",
		"nq-wgl",
		"nq-x11",
		"nq-server",
		"qw-client-3dfx",
		"qw-client-ggi",
		"qw-client-glx",
		"qw-client-mgl",
		"qw-client-sdl",
		"qw-client-sdl32",
		"qw-client-sgl",
		"qw-client-svga",
		"qw-client-wgl",
		"qw-client-x11",
		"qw-master",
		"qw-server"
	);
	program_doc_list ("QuakeForge 0.5", $program_list, "quakeforge");
?>
<BR>
<?
	$program_list = array (
		"qf-client-3dfx",
		"qf-client-ggi",
		"qf-client-glx",
		"qf-client-mgl",
		"qf-client-sdl",
		"qf-client-sgl",
		"qf-client-svga",
		"qf-client-wgl",
		"qf-client-x11",
		"qf-server"
	);

	program_doc_list ("QuakeForge 0.3", $program_list, "");

?>
<?
	require("parts/postamble.php"); 	// Finish this sucker up
?>
